> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deliveries



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/webhooks/{webhook_id}/deliveries
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/webhooks/{webhook_id}/deliveries:
    get:
      tags:
        - Webhooks
      summary: List Deliveries
      operationId: list_deliveries_api_v1_webhooks__webhook_id__deliveries_get
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            exclusiveMinimum: 0
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookDeliveryResponse'
                title: >-
                  Response List Deliveries Api V1 Webhooks  Webhook Id 
                  Deliveries Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookDeliveryResponse:
      properties:
        id:
          type: string
          title: Id
        event_type:
          type: string
          title: Event Type
        payload:
          additionalProperties: true
          type: object
          title: Payload
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status Code
        response_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Body
        delivered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Delivered At
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
      type: object
      required:
        - id
        - event_type
        - payload
        - status_code
        - response_body
        - delivered_at
        - success
      title: WebhookDeliveryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````